CREAT(3) | Library Functions Manual | CREAT(3)

# NAME

creat — create a new file

# LIBRARY

Standard C Library (libc, -lc)

# SYNOPSIS

#include <fcntl.h>
int
creat(const char *path, mode_t mode);

# DESCRIPTION

This interface is made obsolete by:
open(2).
creat() is the same as:

    open(path, O_CREAT | O_TRUNC | O_WRONLY, mode);

# SEE ALSO

open(2)

# STANDARDS

The creat() function call conforms to IEEE Std 1003.1-1990 (“POSIX.1”).

# HISTORY

The creat() function call appeared in Version 6 AT&T UNIX.

June 2, 1993 | NetBSD 8.2